SAP software on Linux with systemd


SAP Startup Framework now natively supports systemd on Linux 

SAP applications have been available on Linux since 1999, and ever since SAP has used System-V startup scripts to start the applications automatically on all UNIX-like operating systems. This has been a big benefit in the past because SAP administrators could use the same knowledge for UNIX and Linux operating systems. 

But the System-V startup framework has some drawbacks when it e.g. comes to: 

  • easily supervise and control program startups, 
  • allow ordered and parallelized job execution for faster system startup, and 
  • give detailed error messages including runtime and start-up errors. 

These are just a few of the reasons, why Linux distributions since 2014 are increasingly switching from SysV startup scripts to the newly developed startup framework called “systemd”. (For detailed insights into systemd please see: https://systemd.io/ ) 

The existing systemd-implementations in the Red Hat Enterprise Linux (RHEL), Oracle Linux (OL) and SUSE Linux Enterprise Server (SLES) distributions provide a compatibility mode to still allow SysV startup scripts from SAP. But this is just a temporary workaround as the usage of Sys-V scripts may introduce corner-case issues e.g. during an upgrade of SAP applications or when performing an operating system shutdown. 

Starting with the new SAP kernel packages (patchlevels) shipping from April 2022 on we are now supporting and enabling by default the systemd environment, when running on SUSE Linux Enterprise Server 15 (SLES 15), Red Hat Enterprise Linux 8 (RHEL 8) or Oracle Linux 8 (OL 8). 

When installing an SAP system on RHEL 8, OL 8 or SLES 15 using the Software Provisioning Manager (SWPM), native systemd support will be automatically activated. Existing SAP installations are not automatically activated but can be easily switched to use systemd manually. 

SAP Kernel versions and patch levels fully supporting systemd: 

  • 7.22 Patchlevel 1119 
  • 7.53 Patchlevel 1011 
  • 7.77 Patchlevel 441 
  • 7.81 Patchlevel 241 
  • 7.85 Patchlevel 115 

 SWPM versions which enable systemd by default: 

  • SWPM 1.0 SP34 
  • SWPM 2.0 SP11 

 For more in-depth information, see SAP Note 3139184. 

  • For detailed information about the registration and deregistration process for an SAP instance see SAP Note 3115048 (sapstartsrv with native Linux systemd support) 
  • For detailed information about installation and upgrade of SAP Host Agent see SAP Note 1031096 (Installing Package SAPHOSTAGENT) 
  • SAP Note 3139184.